class RemovedShutdownHookThread extends Thread {
	public void run() {
		System.out.println("Main terminated. We are in Shutdown Hook.\nBye!");
	}
}

public class RemoveShutdownHook {
	public static void main(String[] args) throws Exception {

		Thread shutdownHook = new RemovedShutdownHookThread();
		Runtime.getRuntime().addShutdownHook(shutdownHook);

		System.out.println("Now main is running.");

		Runtime.getRuntime().removeShutdownHook(shutdownHook);
	}
}